package cz.gottlieb.groceryAggregator.dto.billa;

import javax.annotation.Generated;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import cz.gottlieb.groceryAggregator.persistence.model.Product;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BillaItemResponseDto {

    @JsonProperty("lineItemId")
    public String lineItemId;

    @JsonProperty("price")
    public String price;

    @JsonProperty("product")
    public BillaProductResponseDto product;

    @JsonProperty("quantity")
    public Integer quantity;

    @JsonProperty("savings")
    public String savings;

    @JsonProperty("perPiecePrice")
    public String perPiecePrice;

}