package cz.gottlieb.groceryAggregator.dto.billa;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BillaProductPriceRegularResponseDto {

    @JsonProperty("perStandardizedQuantity")
    public Integer perStandardizedQuantity;

    @JsonProperty("promotionQuantity")
    public Integer promotionQuantity;

    @JsonProperty("tags")
    public List<Object> tags;

    @JsonProperty("value")
    public Integer value;
}