package cz.gottlieb.groceryAggregator.dto.fe;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class FeProductResponseDto {

    private String company;

    private String name;
    private String originProductId;
    private String originSku;

    private String unit;
    private String unitStandardized;
    private String amount;

    private BigDecimal priceFull;
    private String priceCurrency;

    private BigDecimal pricePerUnitFull;
    private String pricePerUnitCurrency;

    private Integer maxAvailableAmount;

    private String baseUrl;
    private String imgPath;

    private String description;
}
