package cz.gottlieb.groceryAggregator.services;

import cz.gottlieb.groceryAggregator.persistence.model.GroceryCredential;
import cz.gottlieb.groceryAggregator.persistence.model.User;
import cz.gottlieb.groceryAggregator.utils.GroceryEnum;

import java.util.Optional;

public interface CredentialsService {
    GroceryCredential findCredentialsByGroceryNameOrThrow(User user, GroceryEnum grocery);

    Optional<GroceryCredential> findCredentialsByGroceryName(User user, GroceryEnum grocery);

    GroceryCredential findCredentialsByIdOrThrow(User user, Long id);

    GroceryCredential save(GroceryCredential groceryCredential);

    void deleteById(Long id);
}
