package cz.gottlieb.groceryAggregator.services;

import cz.gottlieb.groceryAggregator.persistence.model.ShoppingList;
import cz.gottlieb.groceryAggregator.persistence.model.ShoppingListItem;
import cz.gottlieb.groceryAggregator.persistence.model.User;

import java.util.List;

public interface ShoppingListService {

    void saveOrUpdate(ShoppingList shoppingList, List<ShoppingListItem> items);

    ShoppingList findWishListByIdOrThrow(User user, Long id);

    ShoppingList findDefaultCartOrThrow(User user);

    List<ShoppingList> findAllWishLists(User user);

}
