package cz.gottlieb.groceryAggregator.controllers;

import lombok.extern.slf4j.Slf4j;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * Next entities is possible to edit with regular rights:
 * <ul>
 *  <li>GroceryCredential</li>
 *  <li>ShoppingList</li>
 *  <li>WatchDog</li>
 *  <li>ProductGroup</li>
 * </ul>
 * </p>
 */
@Slf4j
@Transactional
@RestController
//@PreAuthorize("hasRole('user') and hasAuthority('SCOPE_read')")
@RequestMapping("/user-setting")
public class UserSettingsController {
}
