package cz.gottlieb.groceryAggregator.dto.billa;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BillaProductPriceResponseDto {

    @JsonProperty("baseUnitLong")
    public String baseUnitLong;

    @JsonProperty("baseUnitShort")
    public String baseUnitShort;

    @JsonProperty("basePriceFactor")
    public String basePriceFactor;

    @JsonProperty("regular")
    public BillaProductPriceRegularResponseDto regular;
}