package cz.gottlieb.groceryAggregator.persistence.repository;

import cz.gottlieb.groceryAggregator.persistence.model.ShoppingListItem;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ShoppingListItemRepository extends JpaRepository<ShoppingListItem, Long> {

    Optional<ShoppingListItem> findByOriginItemId(@NonNull String originItemId);

}