package cz.gottlieb.groceryAggregator.services;

import cz.gottlieb.groceryAggregator.persistence.model.Product;
import cz.gottlieb.groceryAggregator.persistence.model.ShoppingList;
import cz.gottlieb.groceryAggregator.persistence.model.ShoppingListItem;

import java.util.Optional;

public interface ProductService {

    Product findProductBySkuAndCompanyOrThrow(String originSku, String company);

    Optional<Product> findProductDuplicityByItem(ShoppingList shoppingList, ShoppingListItem item);


}
