package cz.gottlieb.groceryAggregator.services;

import cz.gottlieb.groceryAggregator.persistence.model.User;
import org.springframework.security.oauth2.jwt.Jwt;

public interface UserService {
    User findUserByEmailOrThrow(String email, String methodName);

    User getUserFromJwt(Jwt principal);

    void save(User user);

}
