import {Component} from '@angular/core';
import {OidcSecurityService} from "angular-auth-oidc-client";

@Component({
  selector: 'app-login-page',
  templateUrl: './login-page.component.html',
  styleUrl: './login-page.component.scss'
})
export class LoginPageComponent {

  constructor(private oidcSecurityService: OidcSecurityService) {

  }

  login() {
    this.oidcSecurityService.authorize();
  }
}
