import {CompanyEnum} from "../util/CompanyEnum";

export interface ProductDto {
  company: CompanyEnum;
  name: string;
  originProductId: string;
  originSku: string;
  unit: string;
  unitStandardized: string;
  amount: string;
  priceFull: number;
  priceCurrency: string;
  pricePerUnitFull: number;
  pricePerUnitCurrency: string;
  maxAvailableAmount: number;
  baseUrl: string;
  imgPath: string;
  description?: string;
}
